Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006996TestLinkTest Specification - Move/Copy Test Casespublic2015-03-11 08:552015-09-19 08:49
Reportertinette 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSUbuntuOS Version14.04.2
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0006996: Copy Test Suite: can't keep Assigned Requirement
DescriptionDuring Test Specification, when I want to move a test suite in another test suite, the requirement assignment of the tests contained in the moved test suite are kept.
But if I copy a test suite in another test suite, the requirement assignment is lost.
Steps To ReproduceCreate a test suite. Create a testcase in this test suite. Assign a requirement to this test.

Copy the test suite in another test suite.
Edit the testcase in the new test suite. There's no more requirement assigned.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox/Windows 8.1
PHP VersionPHP 5.5.9-1ubuntu4.6 (cli)
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0006997closedfman Copy TestSuite: add a checkbox to copy or not assigned requirement 
child of 0006830closedfman Availables hot-fixes for 1.9.13 & How To get full fixed package from GitHub 

-  Notes
(0022854)
fman (administrator)
2015-03-11 10:03

what need to be understand is that:
an issue is different from a feature request, then you need to open two tickets
one for the issue
one for the feature request

this way each can follow the appropriate path
(0022856)
tinette (reporter)
2015-03-11 10:19

I just created a ticket for the Feature: 0006997: [Feature] Move/Copty TestSuite: add a checkbox to copy or not assigned requirement

Can you edit this ticket to remove the feature request, I don't have right to do this.


Thanks and sorry for the error
(0022858)
fman (administrator)
2015-03-11 10:23

>> Thanks and sorry for the error
There is NO ERROR, just a different approach/flavor
Thanks for your help
I'm going to update issue text
(0023956)
fman (administrator)
2015-09-19 08:49

1.9.14 Padawan - released - 2015-09-19

- Issue History
Date Modified Username Field Change
2015-03-11 08:55 tinette New Issue
2015-03-11 10:03 fman Note Added: 0022854
2015-03-11 10:19 tinette Note Added: 0022856
2015-03-11 10:23 fman Note Added: 0022858
2015-03-11 10:58 fman Relationship added related to 0006997
2015-03-11 21:33 fman QA Team - Task Workflow Status => TBD
2015-03-11 21:33 fman Description Updated View Revisions
2015-03-11 21:33 fman Steps to Reproduce Updated View Revisions
2015-03-12 21:30 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2015-03-12 21:30 fman Status new => resolved
2015-03-12 21:30 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-03-12 21:30 fman Resolution open => fixed
2015-03-12 21:30 fman Assigned To => fman
2015-03-12 21:31 fman Relationship added related to 0006830
2015-04-13 19:42 fman Relationship deleted related to 0006830
2015-04-13 19:42 fman Relationship added child of 0006830
2015-09-19 08:49 fman Note Added: 0023956
2015-09-19 08:49 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker